Subject: Re: [PATCH 00/15] Convert power-controller to dt-schema and update various yaml file to referencing it

From: Peng Fan <[email-masked]>
Date: Tue, 17 Mar 2026 13:45:41 +0800

On Mon, Mar 16, 2026 at 05:00:34PM +0100, Andreas Kemnade wrote:
>On Mon, 16 Mar 2026 14:55:21 +0000
>Mark Brown <[email-masked]> wrote:
>
>> On Mon, Mar 16, 2026 at 10:47:35PM +0800, Peng Fan (OSS) wrote:
>> > Convert power-controller.txt to dt-schema
>> > Update various dt-bindings to use generic power-controller.yaml without
>> > defining local property.  
>> 
>> Are there any dependencies here?  It doesn't look like it.  In general
>> please don't send a single series covering multiple subsystems unless
>> there are actual dependencies, it just makes it harder to figure out how
>> to handle things.  Send a separate series to each subsystem instead.
>
>It seems that everything depends on Patch 1.

Krzysztof had similar comments. I reply here.

Yes, depends on patch 1, sorry for not being clear in cover-letter. I just
created a PR to dt-schema in github.
https://github.com/devicetree-org/dt-schema/pull/187

After that PR is merged, I will separate this patchset for each subsystem.

Thanks,
Peng

>Regards,
>Andreas